Membership
/- Get portal permissions
Gets all of the chapters in the system.
Creates a new chapter record that does not already exist.
Execute Batch Operations
Change chapter committee terms
Create a chapter committee membership
Delete a chapter committee membership
Update a chapter committee membership
Creates a new contact on behalf of a chapter
Get chapter member contact info
Update chapter member contact info
Generates an application for a contact or organization
Generates an order from a membership application
Update chapter member membership info
Returns a list of chapters for a given membership package
Returns a list of chapters for a given membership package
Searches for the nearest chapters to the latitude and longitude supplied
Get eligible application processes
Runs a saved query on behalf of a chapter
View chapter roster
Searches for chapters using predefined parameters
Returns a chapter from the system by its ID.
Returns a chapter from the system by its ID.
Partially updates a chapter with the specified ID.
Updates a chapter with the specified ID.
Get portal permissions
Determines the permissions available in the portal for a portal user.
Security
knox-authorizer
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/portalPermissions/{chapterId}/{contactId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/chapters/{tenantId}/portalPermissions/{chapterId}/{contactId}
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/chapters/{tenantId}/portalPermissions/{chapterId}/{contactId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'The records were retrieved successfully
If set, the applicable chapter leaders are able to access saved queries
If set, leaders can manage/change chapter committee positions
Applicable chapter leaders can register/create new members
If true, chapter leader is able to modify chapter information
Applicable chapter leaders should be able to update contact information. If set, a contact_form_id must be specified
Applicable chapter leaders can update membership profile information. If set, a membership_page_layout_id must be specified
Response
{ "access_saved_queries": true, "chapter_page_layout_id": "string", "contact_form_id": "string", "manage_chapter_committees": true, "membership_page_layout_id": "string", "permissions": [ "string" ], "renew_existing_members": true, "saved_queries": [ { … } ], "sign_up_new_members": true, "update_chapter_info": true, "update_contact_info": true, "update_membership_info": true, "view_chapter_roster": true }